Name:		osmctools
Version:	0.9
Release:	%mkrel 1
Summary:	Tools to manipulate OpenStreetMap files
# Debian man pages are GPLv2+
License:	AGPLv3 and GPLv2+
Group:		File tools
URL:		https://gitlab.com/osm-c-tools/osmctools
Source0:	https://gitlab.com/osm-c-tools/osmctools/-/archive/%{version}/%{name}-%{version}.tar.xz
Source1:	osmconvert.1
Source2:	osmfilter.1
Source3:	osmupdate.1
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gcc
BuildRequires:	pkgconfig(zlib)

Requires:	rsync
Requires:	wget

%description
Small collection of basic OpenStreetMap tools, include converter, filter and
updater files.

Programs include:
* osmconvert - Converter of OSM files
* osmfilter - The experimental OSM filters data
* osmupdate - Update OSM files.

%prep
%setup -q

%build
autoreconf -fvi
%configure2_5x
%make_build

%install
rm -rf %buildroot
%make_install

# Install man pages
install -d %{buildroot}%{_mandir}/man1/
for i in %{SOURCE1} %{SOURCE2} %{SOURCE3}; do
  install -p -m 0644 ${i} %{buildroot}%{_mandir}/man1/
done

%files
%{_bindir}/osmconvert
%{_bindir}/osmfilter
%{_bindir}/osmupdate
%{_mandir}/man1/osmconvert.1*
%{_mandir}/man1/osmfilter.1*
%{_mandir}/man1/osmupdate.1*


%changelog
* Mon Dec 14 2020 tex - 0.9-1pclos2020
- create pkg for KDE5 stuff
